> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qlty.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Get authenticated user

> Get the authenticated User based on the provided access token



## OpenAPI

````yaml https://api.qlty.sh/openapi.json get /user
openapi: 3.1.0
info:
  title: Qlty API
  version: 1.0.0
  description: >-
    The Qlty API is organized around REST. It provides predictable,
    resource-oriented URLs, accepts JSON-encoded request bodies, and returns
    JSON-encoded responses.
servers:
  - url: https://api.qlty.sh
security:
  - Bearer: []
tags:
  - name: Service
    description: Service status and API discovery operations
  - name: User
    description: Operations for the authenticated user
  - name: Workspaces
    description: Operations for managing workspaces
  - name: Projects
    description: Operations for managing projects
  - name: Issues
    description: Operations for managing issues
  - name: Metrics
    description: Operations for retrieving metrics
  - name: Components
    description: Operations for retrieving components
  - name: Coverage
    description: Operations for retrieving code coverage data
paths:
  /user:
    get:
      tags:
        - User
      summary: Get authenticated user
      description: Get the authenticated User based on the provided access token
      operationId: getUser
      responses:
        '200':
          description: The currently authenticated user
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthenticatedUser'
              example:
                id: e34cb947-2b6f-47df-ae0c-776e17f3fdbf
                login: alice
                name: Alice
                email: alice@example.com
                avatarUrl: https://avatars.githubusercontent.com/u/12345
                providerUrl: https://github.com/alice
                createdAt: '2023-01-01T00:00:00Z'
                updatedAt: '2023-01-01T00:00:00Z'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '429':
          description: Rate Limit Exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    AuthenticatedUser:
      type: object
      properties:
        id:
          type: string
          example: usr_123
        login:
          type: string
          example: johndoe
        name:
          type: string
          example: John Doe
        email:
          type: string
          format: email
          example: john@example.com
        avatarUrl:
          type: string
          example: https://avatars.githubusercontent.com/u/12345
        providerUrl:
          type: string
          example: https://github.com/johndoe
        createdAt:
          type: string
          format: date-time
          example: '2024-01-01T00:00:00.000Z'
        updatedAt:
          type: string
          format: date-time
          example: '2024-01-01T00:00:00.000Z'
      required:
        - id
        - login
        - name
        - email
        - avatarUrl
        - providerUrl
        - createdAt
        - updatedAt
    Error:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              status:
                type: string
                example: '400'
              title:
                type: string
                example: Bad Request
              detail:
                type: string
                example: The request was invalid.
            required:
              - status
              - title
              - detail
      required:
        - errors
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      description: Generate an API token at https://qlty.sh/user/settings/tokens

````